{% extends 'form/foundation_6_layout.html.twig' %}

{# Подсказки #}

{% block form_help_block -%}
  {% if help is defined and help %}
    {% if errors|length > 0 -%}
      <p class="help-text is-invalid-label">{{ help|trans }}</p>
    {% else %}
      <p class="help-text">{{ help|trans }}</p>
    {% endif %}
  {% endif %}
{%- endblock %}

{% block form_widget_simple %}
  {{ parent() }}
  {{ block('form_help_block') }}
{% endblock %}

{% block textarea_widget -%}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock textarea_widget %}

{% block radio_widget -%}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock radio_widget %}

{% block checkbox_widget -%}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock checkbox_widget %}

{% block choice_widget_collapsed %}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock %}

{% block choice_widget_expanded -%}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock %}

{% block checkbox_widget_expanded -%}
  {{ parent() }}
  {{ block('form_help_block') }}
{%- endblock %}
